Package tigase.db

# Interface MsgRepositoryIfc<T extends DataSource>

All Superinterfaces:
  `DataSourceAware<T>`, `OfflineMsgRepositoryIfc`, `Repository`

All Known Implementing Classes:
  `JDBCMsgRepository`, `MsgRepository`, `MsgRepository.MsgRepositoryMDBean`, `XMLMsgRepository`

public interface MsgRepositoryIfc<T extends DataSource> extends OfflineMsgRepositoryIfc, DataSourceAware<T>
Created by andrzej on 13.03.2016.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface tigase.db.Repository

  `Repository.Meta, Repository.SchemaId`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `deleteMessagesToJID(List<String> db_ids, XMPPResourceConnection session)`
  `Map<Enum,Long>`
  `getMessagesCount(JID to)`
  `List<Element>`
  `getMessagesList(JID to)`
  `Queue<Element>`
  `loadMessagesToJID(List<String> db_ids, XMPPResourceConnection session, boolean delete, MsgRepository.OfflineMessagesProcessor proc)`
  `void`
  `setCondition(ReentrantLock lock, Condition condition)`
  Deprecated.

  ### Methods inherited from interface tigase.db.DataSourceAware

  `setDataSource`

  ### Methods inherited from interface tigase.db.OfflineMsgRepositoryIfc

  `getMessageExpired, loadMessagesToJID, storeMessage`

  ### Methods inherited from interface tigase.db.Repository

  `initRepository`

- ## Method Details

  - ### getMessagesCount

    Map<Enum,Long> getMessagesCount(JID to) throws UserNotFoundException
    Throws:
      `UserNotFoundException`

  - ### getMessagesList

    List<Element> getMessagesList(JID to) throws UserNotFoundException
    Throws:
      `UserNotFoundException`

  - ### setCondition

    @Deprecated void setCondition(ReentrantLock lock, Condition condition)
    Deprecated.

  - ### loadMessagesToJID

    Queue<Element> loadMessagesToJID(List<String> db_ids, XMPPResourceConnection session, boolean delete, MsgRepository.OfflineMessagesProcessor proc) throws UserNotFoundException
    Throws:
      `UserNotFoundException`

  - ### deleteMessagesToJID

    int deleteMessagesToJID(List<String> db_ids, XMPPResourceConnection session) throws UserNotFoundException
    Throws:
      `UserNotFoundException`